Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 37838 - "null is not a valid value for Enabled" while disabling the WEB module
"null is not a valid value for Enabled" while disabling the WEB module
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Property Editors
3.x
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-08 12:57 UTC by _ gtzabari
Modified: 2008-12-22 18:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ gtzabari 2003-12-08 12:57:38 UTC
dev build 200312031900

   TOOLS | SETUP | Set the WEB module to FALSE and
the following exception pops up:

Annotation: The property could not be set. null is
not a valid value for Enabled.
java.lang.NullPointerException
	at
org.netbeans.core.ui.ModuleNode$1$EnabledProp.setValue(ModuleNode.java:828)
	at
org.openide.explorer.view.TableSheetCell$WrapperPropertyModel.setValue(TableSheetCell.java:379)
	at
org.openide.explorer.propertysheet.PropertyPanel$EditorListener.propertyChange(PropertyPanel.java:1857)
	at
org.openide.util.WeakListenerImpl$PropertyChange.propertyChange(WeakListenerImpl.java:131)
	at
java.beans.PropertyEditorSupport.firePropertyChange(PropertyEditorSupport.java:234)
	at
java.beans.PropertyEditorSupport.setValue(PropertyEditorSupport.java:50)
	at
org.netbeans.beaninfo.editors.BoolEditor.setAsText(BoolEditor.java:103)
	at
org.openide.explorer.propertysheet.PropertyPanel$WriteComponentListener.setAsText(PropertyPanel.java:1628)
	at
org.openide.explorer.propertysheet.PropertyPanel$WriteComponentListener.changeValue(PropertyPanel.java:1542)
[catch] at
org.openide.explorer.propertysheet.PropertyPanel$3.run(PropertyPanel.java:1557)
	at
java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:178)
	at
java.awt.EventQueue.dispatchEvent(EventQueue.java:454)
	at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:201)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:141)
	at java.awt.Dialog$1.run(Dialog.java:540)
	at java.awt.Dialog.show(Dialog.java:561)
	at
org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:715)
	at
org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:758)
	at
org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:746)
	at
org.openide.util.Mutex.doEventAccess(Mutex.java:920)
	at org.openide.util.Mutex.readAccess(Mutex.java:157)
	at
org.netbeans.core.windows.services.NbPresenter.show(NbPresenter.java:731)
	at
org.netbeans.core.ui.SetupWizard.show(SetupWizard.java:315)
	at
org.netbeans.core.ui.SetupWizard.showSetupWizard(SetupWizard.java:393)
	at
org.netbeans.core.ui.SetupWizard.showSetupWizard(SetupWizard.java:375)
	at
org.netbeans.core.actions.SetupWizardAction.performAction(SetupWizardAction.java:27)
	at
org.openide.util.actions.CallableSystemAction$1.run(CallableSystemAction.java:78)
	at
org.openide.util.actions.CallableSystemAction.doPerformAction(CallableSystemAction.java:135)
	at
org.openide.util.actions.CallableSystemAction.actionPerformed(CallableSystemAction.java:76)
	at
javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1786)
	at
javax.swing.AbstractButton$ForwardActionEvents.actionPerformed(AbstractButton.java:1839)
	at
javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
	at
javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
	at
javax.swing.AbstractButton.doClick(AbstractButton.java:289)
	at
javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1113)
	at
javax.swing.plaf.basic.BasicMenuItemUI$MouseInputHandler.mouseReleased(BasicMenuItemUI.java:943)
	at
java.awt.Component.processMouseEvent(Component.java:5100)
	at
java.awt.Component.processEvent(Component.java:4897)
	at
java.awt.Container.processEvent(Container.java:1569)
	at
java.awt.Component.dispatchEventImpl(Component.java:3615)
	at
java.awt.Container.dispatchEventImpl(Container.java:1627)
	at
java.awt.Component.dispatchEvent(Component.java:3477)
	at
java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:3483)
	at
java.awt.LightweightDispatcher.processMouseEvent(Container.java:3198)
	at
java.awt.LightweightDispatcher.dispatchEvent(Container.java:3128)
	at
java.awt.Container.dispatchEventImpl(Container.java:1613)
	at
java.awt.Window.dispatchEventImpl(Window.java:1606)
	at
java.awt.Component.dispatchEvent(Component.java:3477)
	at
java.awt.EventQueue.dispatchEvent(EventQueue.java:456)
	at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:201)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
	at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:145)
	at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:137)
	at
java.awt.EventDispatchThread.run(EventDispatchThread.java:100)
Comment 1 _ tboudreau 2003-12-08 16:25:47 UTC
PropertyPanel rewrite should fix this problem - null as indeterminate
state for boolean values is now supported correctly.
Comment 2 _ tboudreau 2003-12-09 09:37:08 UTC
Property panel rewrite branch merged.
Comment 3 Marian Mirilovic 2005-07-13 13:26:57 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo